import Session from 'leadfoot/Session';
import Task from '@dojo/core/async/Task';
import WebDriver from './executors/WebDriver';
export default class ProxiedSession extends Session {
    coverageEnabled: boolean;
    coverageVariable: string;
    executor: WebDriver;
    serverBasePathLength: number;
    serverUrl: string;
    private _heartbeatIntervalHandle;
    get(url: string): Task<void>;
    quit(): Task<any>;
    setHeartbeatInterval(delay: number): Task<void>;
}
